Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept
Class InterceptorStatusToken

    java.lang.Object
      org.acegisecurity.intercept.InterceptorStatusToken

    public class InterceptorStatusToken

extends Object

A return object received by `AbstractSecurityInterceptor` subclasses.

This class reflects the status of the security interception, so that the final call to `AbstractSecurityInterceptor.afterInvocation(InterceptorStatusToken, Object)` can tidy up correctly.

Version:
  $Id: InterceptorStatusToken.java,v 1.3 2005/11/17 00:55:51 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`protected` | `InterceptorStatusToken()`
`` | `InterceptorStatusToken(Authentication authentication, boolean contextHolderRefreshRequired, ConfigAttributeDefinition attr, Object secureObject)`

Method Summary
`ConfigAttributeDefinition` | `getAttr()`
`Authentication` | `getAuthentication()`
`Object` | `getSecureObject()`
`boolean` | `isContextHolderRefreshRequired()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorStatusToken

    public InterceptorStatusToken(Authentication authentication,
                                  boolean contextHolderRefreshRequired,
                                  ConfigAttributeDefinition attr,
                                  Object secureObject)

### InterceptorStatusToken

    protected InterceptorStatusToken()

Method Detail

### getAttr

    public ConfigAttributeDefinition getAttr()

### getAuthentication

    public Authentication getAuthentication()

### isContextHolderRefreshRequired

    public boolean isContextHolderRefreshRequired()

### getSecureObject

    public Object getSecureObject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.